
Redmine - Defect #9549

Only 100 users are displayed when adding new project members

2011-11-11 04:18 - Michael Wu

Status: Closed Start date: 2011-11-11

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed Affected version: 1.2.1

Description

When there's more than 100 users in redmine, it is possible that some users won't be listed in the "New member" box in project

settings for adding new members.

I think the bug is introduced in:

redmine-1.2.1/app/views/projects/settings/_members.rhtml

On line 54:

<% principals = Principal.active.find(:all, :limit => 100, :order => 'type, login, lastname ASC') 

- @project.principals %>

:limit=>100 is hardcoded. So users that are ordered outside the first 100 entries will never be shown.    

When the first 100 users in the sorted order are added to the project, the "New member" box will always show empty results.

Related issues:

Has duplicate Redmine - Defect #9589: Adding Members to a project doesn't sho... Closed 2011-11-16

Has duplicate Redmine - Feature #6347: All members not being displayed in Pro... Closed 2010-09-10

Has duplicate Redmine - Defect #8547: Add member list not showing all users Closed 2011-06-06

Associated revisions

Revision 11200 - 2013-01-18 18:57 - Jean-Philippe Lang

Adds pagination to users list when adding project or group members (#9549).

History

#1 - 2011-11-13 16:47 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Invalid

This is the intended behavior as implemented initially by r2638 for issue #2993, which introduced the limit of 300 users:

Adds a user search field with autocompleter on project members screen.

 User selection with checkboxes is disabled if there are more than 300 users available (#2993).

and secondly as changed by r2869 for issue #1018, which set the current limit to 100 users. If you have 100+ users in your Redmine instance you

should use the auto-completer instead. It's especially meant for such purpose.

Note: if you want to discuss the actual limit and/or want to suggest another value, feel free to open a new feature-request dedicated to such

containing a detailed use-case supporting a proposed change.

#2 - 2013-01-18 18:59 - Jean-Philippe Lang

- Subject changed from In project settings, when adding new members, some users won't show up to Only 100 users are displayed when adding new

project members

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.0
https://www.redmine.org/projects/redmine/repository/svn/revisions/2638
https://www.redmine.org/issues/2993
https://www.redmine.org/issues/1018


- Resolution changed from Invalid to Fixed

Fixed in r11200. A pagination lets you see all users now when adding members to a project or a group.

#3 - 2013-08-09 17:04 - Daniel Felix

- Has duplicate Feature #6347: All members not being displayed in Projects -> Settings added

#4 - 2020-12-09 03:51 - Go MAEDA

- Has duplicate Defect #8547: Add member list not showing all users added
